org.apache.solr.handler.component

## Class RangeFacetProcessor

- java.lang.Object
- - org.apache.solr.request.SimpleFacets
  - - org.apache.solr.handler.component.RangeFacetProcessor

-     public class RangeFacetProcessor
      extends SimpleFacets

  Processor for Range Facets

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.request.SimpleFacets

      `SimpleFacets.CountPair<K extends Comparable<? super K>,V extends Comparable<? super V>>, SimpleFacets.ParsedParams`

  - ### Field Summary

    - ### Fields inherited from class org.apache.solr.request.SimpleFacets

      `docsOrig, fdebug, fdebugParent, global, rb, req, searcher`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RangeFacetProcessor(SolrQueryRequest req, DocSet docs, SolrParams params, ResponseBuilder rb)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NamedList<Object>` | `getFacetRangeCounts()` Returns a list of value constraints and the associated facet counts for each facet numerical field, range, and interval specified in the SolrParams
    `void` | `getFacetRangeCounts(RangeFacetRequest rangeFacetRequest, NamedList<Object> resOuter)` Returns a list of value constraints and the associated facet counts for each facet range specified by the given `RangeFacetRequest`
    `protected int` | `rangeCount(DocSet subset, RangeFacetRequest rfr, RangeFacetRequest.FacetRange fr)` Macro for getting the numDocs of range over docs

    - ### Methods inherited from class org.apache.solr.request.SimpleFacets

      `checkMincountOnExists, computeDocSet, contains, getDocsOrig, getFacetFieldCounts, getFacetIntervalCounts, getFacetQueryCount, getFacetQueryCounts, getFacetTermEnumCounts, getFieldMissingCount, getGlobalParams, getGroupedCounts, getGroupedFacetQueryCount, getHeatmapCounts, getListedTermCounts, getRequest, getResponseBuilder, getTermCounts, getTermCountsForPivots, parseParams, setFacetDebugInfo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RangeFacetProcessor

          public RangeFacetProcessor(SolrQueryRequest req,
                                     DocSet docs,
                                     SolrParams params,
                                     ResponseBuilder rb)

  - ### Method Detail

    - #### getFacetRangeCounts

          public NamedList<Object> getFacetRangeCounts()
                                                throws IOException,
                                                       SyntaxError

      Returns a list of value constraints and the associated facet counts for each facet numerical field, range, and interval specified in the SolrParams
      Throws:
        `IOException`
        `SyntaxError`
      See Also:
        `FacetParams.FACET_RANGE`

    - #### getFacetRangeCounts

          public void getFacetRangeCounts(RangeFacetRequest rangeFacetRequest,
                                          NamedList<Object> resOuter)
                                   throws IOException,
                                          SyntaxError

      Returns a list of value constraints and the associated facet counts for each facet range specified by the given `RangeFacetRequest`
      Throws:
        `IOException`
        `SyntaxError`

    - #### rangeCount

          protected int rangeCount(DocSet subset,
                                   RangeFacetRequest rfr,
                                   RangeFacetRequest.FacetRange fr)
                            throws IOException,
                                   SyntaxError

      Macro for getting the numDocs of range over docs
      Throws:
        `IOException`
        `SyntaxError`
      See Also:
        `SolrIndexSearcher.numDocs(org.apache.lucene.search.Query, org.apache.solr.search.DocSet)`, `TermRangeQuery`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.